[package]
name = "twa-c"
description = """
The C analyzer plugin. It supports all versions of the C standard, as well as some of the major dialects/extensions.

* Kernighan & Ritchie (as defined in the C Programming Language 1st Edition)
* C89
* C99
* C11
* C18
* Current draft standard

* CLang C Extensions
* GNU C Extensions
* Microsoft C Extensions
* Objective-C
"""

version = "0.0.1"
edition = "2021"
license = "GPL-3.0-or-later AND GFDL-1.3-or-later"

authors = [
    "Roel Sergeant <rsergeant@panix.com>"
]

[dependencies]
clap = { version = "4.4", features = [ "derive" ] }
winnow = "0.5"

tw-analyzer = { path = "../../../libs/tw-analyzer" }
tw-errors = { path = "../../../libs/tw-errors" }
tw-source = { path = "../../../libs/tw-source" }

twa-cpp = { path = "../twa-cpp" }
